## Apache Zeta Components Manual :: Docs For Class ezcInputFormDefinitionElement

### UserInput::ezcInputFormDefinitionElement

### Class ezcInputFormDefinitionElement

This struct records information about Input Form definition elements.

Source for this file: /UserInput/src/structs/definition_element.php

    ezcBaseStruct
       |
       --ezcInputFormDefinitionElement

Version: | //autogentag//

### Constants

`OPTIONAL = 0` |
`REQUIRED = 1` |

### Member Variables

public string | `$filterName = 'string'` The name of the filter to use for this definition element.
public mixed | `$flags = false` The extra flags to this filter.
public string | `$hint = ''` A short hint to be shown to the user about the constraint of an input element, e.g. 'between 0 and 100', 'valid email' or 'no specialchars'
public mixed | `$options = false` The extra options to this filter.
public int | `$type = self::OPTIONAL` Whether the field is optional or required. One of the self::OPTIONAL or self::REQUIRED constants.

### Method Summary

public ezcInputFormDefinitionElement | `__construct( [ $type = ezcInputFormDefinitionElement::OPTIONAL] , [ $filterName = 'string'] , [ $options = null] , [ $flags = null] , [ $hint = ''] )` Constructs a definition item.

### Methods

#### __construct

ezcInputFormDefinitionElement __construct( [int $type = ezcInputFormDefinitionElement::OPTIONAL] , [string $filterName = 'string'] , [mixed $options = null] , [int $flags = null] , [string $hint = ''] )

Constructs a definition item.

Constructs the definition item with all its options and flags.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | int |
`$filterName` | string |
`$options` | mixed |
`$flags` | int |
`$hint` | string |

Documentation generated by phpDocumentor 1.4.3